C3DDistance Class Reference

3D distance transform for high resolution data More...

`#include <mia/3d/distance.hh>`

Inheritance diagram for C3DDistance:
[legend]
Collaboration diagram for C3DDistance:
[legend]

## Public Member Functions

| C3DDistance ()
| C3DDistance (const C3DDistance &other)=delete
float | get_distance_at (const C3DFVector &p) const
C2DFImage | get_distance_slice (int z) const
C3DDistance & | operator= (const C3DDistance &other)=delete
void | push_slice (int z, const C2DImage &slice)
| ~C3DDistance ()
Public Member Functions inherited from CIOData
const std::string & | get_source_format () const
void | set_source_format (const std::string &format)

## Detailed Description

3D distance transform for high resolution data

This class represents a 3D distance transform for high resolution data. Other than distance_transform(const C3DImage& f), this class does not store the distances for the whole grid. Instead the distances can ether be obtained slice-wise, or by evaluating the distance at certain points.

Definition at line 51 of file 3d/distance.hh.

## Constructor & Destructor Documentation

## C3DDistance() [1/2]

C3DDistance::C3DDistance | ( |  | ) |

Initializes the distance transform

Referenced by C3DDistance(), and operator=().

## ~C3DDistance()

C3DDistance::~C3DDistance | ( |  | ) |

## C3DDistance() [2/2]

C3DDistance::C3DDistance | ( | const C3DDistance & | other | ) |

delete

References C3DDistance().

## Member Function Documentation

## get_distance_at()

float C3DDistance::get_distance_at | ( | const C3DFVector & | p | ) | const

Evaluate the distance of a point to the input function

Parameters

  p | point

Returns
  the Euclidian distance of the point to the function

## get_distance_slice()

C2DFImage C3DDistance::get_distance_slice | ( | int | z | ) | const

Evaluate the distance of a slice to the represented input function

Parameters

  z | the slice to evaluate the distance to

Returns
  a 2D data field of the squared distances

## operator=()

C3DDistance & C3DDistance::operator= | ( | const C3DDistance & | other | ) |

delete

References C3DDistance().

## push_slice()

void C3DDistance::push_slice | ( | int | z,
|  | const C2DImage & | slice )

Add another z-slice to the distance transform. Note, the slices have to be added in the order of increasing z. Thr input data should be prepared using the distance_transform_prepare function.

Parameters

  z | current z-position
  slice | of the function to measure the distance to

The documentation for this class was generated from the following file:

- 3d/distance.hh